org.openstreetmap.josm.plugins.streetside.actions

## Class StreetsideExportAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - org.openstreetmap.josm.actions.JosmAction
    - - org.openstreetmap.josm.plugins.streetside.actions.StreetsideExportAction

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action, org.openstreetmap.josm.tools.Destroyable

      public class StreetsideExportAction
      extends org.openstreetmap.josm.actions.JosmAction

  Action that launches a StreetsideExportDialog and lets you export the images.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.openstreetmap.josm.actions.JosmAction

      `org.openstreetmap.josm.actions.JosmAction.ActiveLayerChangeAdapter, org.openstreetmap.josm.actions.JosmAction.LayerChangeAdapter, org.openstreetmap.josm.actions.JosmAction.SelectionChangeAdapter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private StreetsideExportDialog` | `dialog`
    `(package private) static org.apache.log4j.Logger` | `logger`
    `private static long` | `serialVersionUID`

    - ### Fields inherited from class org.openstreetmap.josm.actions.JosmAction

      `sc`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetsideExportAction()` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent ae)`
    `void` | `export(java.util.Set<StreetsideAbstractImage> images)` Exports the given images from the database.
    `protected boolean` | `listenToSelectionChange()`
    `protected void` | `updateEnabledState()` Enabled when streetside layer is in layer list

    - ### Methods inherited from class org.openstreetmap.josm.actions.JosmAction

      `checkAndConfirmOutlyingOperation, destroy, getLayerManager, getShortcut, initEnabledState, installAdapters, listenToLayerChange, setTooltip, updateEnabledState, updateEnabledStateOnCurrentSelection, updateEnabledStateOnCurrentSelection, updateEnabledStateOnModifiableSelection, waitFuture`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### logger

          static final org.apache.log4j.Logger logger

    - #### dialog

          private StreetsideExportDialog dialog

  - ### Constructor Detail

    - #### StreetsideExportAction

          public StreetsideExportAction()

      Main constructor.

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent ae)

    - #### export

          public void export(java.util.Set<StreetsideAbstractImage> images)

      Exports the given images from the database.
      Parameters:
        `images` - The set of images to be exported.

    - #### listenToSelectionChange

          protected boolean listenToSelectionChange()

      Overrides:
        `listenToSelectionChange` in class `org.openstreetmap.josm.actions.JosmAction`

    - #### updateEnabledState

          protected void updateEnabledState()

      Enabled when streetside layer is in layer list
      Overrides:
        `updateEnabledState` in class `org.openstreetmap.josm.actions.JosmAction`

JOSM Plugins